# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class InlineResponse2003(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, partial_count: float=None):  # noqa: E501
        """InlineResponse2003 - a model defined in Swagger

        :param partial_count: The partial_count of this InlineResponse2003.  # noqa: E501
        :type partial_count: float
        """
        self.swagger_types = {
            'partial_count': float
        }

        self.attribute_map = {
            'partial_count': 'partial_count'
        }
        self._partial_count = partial_count

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2003':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_3 of this InlineResponse2003.  # noqa: E501
        :rtype: InlineResponse2003
        """
        return util.deserialize_model(dikt, cls)

    @property
    def partial_count(self) -> float:
        """Gets the partial_count of this InlineResponse2003.


        :return: The partial_count of this InlineResponse2003.
        :rtype: float
        """
        return self._partial_count

    @partial_count.setter
    def partial_count(self, partial_count: float):
        """Sets the partial_count of this InlineResponse2003.


        :param partial_count: The partial_count of this InlineResponse2003.
        :type partial_count: float
        """

        self._partial_count = partial_count
